%define upstream_name    Return-Value
%define upstream_version 1.666005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Polymorphic Return Values
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Return/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Polymorphic return values are really useful. Often, we just want to know if
something worked or not. Other times, we'd like to know what the error text
was. Still others, we may want to know what the error code was, and what the
error properties were. We don't want to handle objects or data structures for
every single return value, but we do want to check error conditions in our code
because that's what good programmers do.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Return
%{_mandir}/*/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.666.5-6.mga10
+ Revision: 2200516
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.666.5-5.mga9
+ Revision: 1805558
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.666.5-4.mga8
+ Revision: 1497035
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.666.5-3.mga7
+ Revision: 1270900
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.666.5-2.mga6
+ Revision: 1032867
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.666.5-1.mga6
+ Revision: 923915
- update to 1.666005

* Wed Oct 15 2014 umeabot <umeabot> 1.666.4-3.mga5
+ Revision: 739202
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.666.4-2.mga5
+ Revision: 686108
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.666.4-1.mga5
+ Revision: 597051
- update to 1.666004

* Fri Oct 18 2013 umeabot <umeabot> 1.666.2-3.mga4
+ Revision: 514401
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.666.2-2.mga3
+ Revision: 372306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.666.2-1.mga3
+ Revision: 342557
- update to 1.666002

* Tue Jan 18 2011 jquelin <jquelin> 1.666.1-1.mga1
+ Revision: 22809
- cleaning spec file
- imported package perl-Return-Value


* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.666.1-1mdv2010.0
+ Revision: 393136
- update to 1.666001
- using %%perl_convert_version
- fixed license field

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30.2-4mdv2009.0
+ Revision: 258327
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30.2-3mdv2009.0
+ Revision: 246406
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.30.2-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30.2-1mdv2007.0
+ Revision: 111160
- Import perl-Return-Value

* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30.2-1mdv2007.1
- first mdv release

